Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 978387 - Bad IPP responses with version 2.0 (collection handling bug)
Summary: Bad IPP responses with version 2.0 (collection handling bug)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: cups
Version: 6.4
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Tim Waugh
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks: 978427
TreeView+ depends on / blocked
 
Reported: 2013-06-26 13:58 UTC by Tim Waugh
Modified: 2014-10-14 07:31 UTC (History)
1 user (show)

Fixed In Version: cups-1.4.2-53.el6
Doc Type: Bug Fix
Doc Text:
When a client requests IPP version 2.0, incorrect IPP data would be sent when attributes were part of a collection. A fix for this has been backported from a later version.
Clone Of:
Environment:
Last Closed: 2014-10-14 07:31:14 UTC
Target Upstream Version:


Attachments (Terms of Use)
cups-str3521.patch (3.68 KB, patch)
2013-06-26 14:00 UTC, Tim Waugh
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
CUPS Bugs and Features 3521 0 None None None Never
Red Hat Product Errata RHSA-2014:1388 0 normal SHIPPED_LIVE Moderate: cups security and bug fix update 2014-10-14 01:21:38 UTC

Description Tim Waugh 2013-06-26 13:58:28 UTC
Description of problem:
When using IPP/2.0 (from e.g. Fedora 19), a bug in the IPP writing code for 'collection' attribute types can cause incorrect data to be sent back in response to, for example, a printer attributes query.

In particular, the IPP data sent is shorter than the HTTP Content-Length header advertises, causing the IPP/2.0 client to wait for the rest of the data and, since it is not forthcoming, time out.

Version-Release number of selected component (if applicable):
cups-1.4.2-50.el6_4.4

How reproducible:
100%

Steps to Reproduce:
1.From Fedora 19: lpstat -h theserver/version=2.0 -s

Actual results:
60s delay for each IPP request.

Expected results:
No delay.

Comment 1 Tim Waugh 2013-06-26 14:00:34 UTC
Created attachment 765612 [details]
cups-str3521.patch

Comment 2 RHEL Program Management 2013-10-13 23:26:39 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.

Comment 7 errata-xmlrpc 2014-10-14 07:31:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-1388.html


Note You need to log in before you can comment on or make changes to this bug.